Bug 162079 - [Update] multimedia/qmmp to 0.5.2
Summary: [Update] multimedia/qmmp to 0.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-28 06:20 UTC by RyōTa SimaMoto
Modified: 2011-10-30 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (26.50 KB, patch)
2011-10-28 06:20 UTC, RyōTa SimaMoto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2011-10-28 06:20:08 UTC
Upgrade to 0.5.2

Since this upgrade CMake is used instead of QMake.
On QMMP source, the CMake build offers many
options more than the QMake build.  Beside of these
changes, you may find newly added features including
OSS4 output, GME files, cross-fade effect, stereo effect.
In particularly, the skinned GUI get optional status,
that means you can choice library only installation when
other plug-ins are also disabled.

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2011-10-29 12:12:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-10-30 11:14:30 UTC
pawel       2011-10-30 11:14:17 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/qmmp      Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    multimedia/qmmp/files patch-plugins.pri 
                          patch-plugins_Effect_ladspa.pro 
  Log:
  - Update to version 0.5.2
  - Build switched from gmake to cmake
  - Improve pkg-descr
  
  PR:             ports/162079
  Submitted by:   SimaMoto, RyoTa <liangtai.s4@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +378 -81   ports/multimedia/qmmp/Makefile
  1.2       +2 -2      ports/multimedia/qmmp/distinfo
  1.2       +0 -7      ports/multimedia/qmmp/files/patch-plugins.pri (dead)
  1.2       +0 -12     ports/multimedia/qmmp/files/patch-plugins_Effect_ladspa.pro (dead)
  1.2       +23 -17    ports/multimedia/qmmp/pkg-descr
  1.2       +66 -51    ports/multimedia/qmmp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2011-10-30 11:15:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!